profile ukfs_4x_a_r {

	Sample template for DynaTrax testing
	Copyright  Trainsimfiles.com

	header {
		#regid may be used for ensuring profiles are approved/registered
		regid=ukfs_1x.trainsimfiles.uk

		#profileSet is the track system the profile belongs to
		profileSet=UK FineScale

		#profileName is a description of the profile
		profilename=UK FineScale Standard Gauge (4x_a raised sleeper)

		#url/email for profile issues
		support=http://support.trainsimfiles.com/

		#gauge value, only to be used later for selecting profiles by gauge instead of track set
		gauge=1.435
	}

	#note: all lengths/distances and point coordinates are in metres, angles are degrees, and 
	
	#segmentation parameters sets how segmentation of shapes is to occur
	#by setting a maximum segment angle, and minimum plus maximum segment lengths 
	#these allow the track to be segmented according to the track developers desired quality
	
	#the segment angle is used on curves to set the maximum segmentation angle
	#lower values = smoother curves = more polygons
	maxSegAngle=0.75

	#this avoids very sharp curves from using large numbers of polygons 
	minSegLength=1.0

	#maxSegLength sets the maximum polygon length a value <20m is recommended so when lit at night by headlamps 
	#the surface is evenly lit (avoids pulsating surfaces).
	maxSegLength=12.5

	#List of materials to be used for the shape
	#materials: name (filename,mip bias,shader,filter,lighting,alphamode,zbuffer,u_scale,v_scale)
	#u_scale and v_scale are in metres and are the physical distances the texture covers (ie. length / u_scale = u )
	#note: some parameters are based on GMAX materials form
	#eg. zbuffer=test, this makes shadows appear on that surface
	material=BALLAST (ukfs_track1.ace,0,BlendATexDiff,LinearMipLinear,OptSpecular0,none,test,0,6.096)
	material=SLEEPERS (ukfs_sleepers.ace,0,BlendATexDiff,LinearMipLinear,OptSpecular0,none,normal,0,6.096)
	material=RAILSIDES (ukfs_rail.ace,-2,TexDiff,LinearMipLinear,OptSpecular0,none,normal,18,0)
	material=RAILTOPS (ukfs_rail.ace,-1,TexDiff,LinearMipLinear,OptSpecular25,none,normal,18,0)
	material=RAILCHAIRS (ukfs_track1.ace,-2,BlendATexDiff,LinearMipLinear,OptSpecular0,trans,normal,0,6.096)

	#List of unique points that describe the shape - this avoids having to repeat coordinates in profile lines later on
	points=(-8.0247,0.06,0)(-7.0247,0.11,0)(-4.4343,0.11,0)(-4.023,0.0853,0)
	points=(-7.0247,0.122,0)(-4.4343,0.122,0)
	points=(-6.447,0.3,0)(-6.447,0.15,0)(-6.522,0.15,0)(-6.522,0.3,0)
	points=(-4.937,0.3,0)(-4.937,0.15,0)(-5.012,0.15,0)(-5.012,0.3,0)
	points=(-6.612,0.11,0)(-6.522,0.2,0)(-6.447,0.2,0,0)(-6.357,0.11,0)
	points=(-5.102,0.11,0)(-5.012,0.2,0,0)(-4.937,0.2,0)(-4.847,0.11,0)
	points=(-8.0247,0.11,0)(-3.4343,0.11,0)

	points=(-4.023,0.0853,0)(-3.6117,0.11,0)(-1.0213,0.11,0)(-0.0213,0.06,0)
	points=(-3.6117,0.122,0)(-1.0213,0.122,0)
	points=(-3.034,0.3,0)(-3.034,0.15,0)(-3.109,0.15,0)(-3.109,0.3,0)
	points=(-1.524,0.3,0)(-1.524,0.15,0)(-1.599,0.15,0)(-1.599,0.3,0)
	points=(-3.199,0.11,0)(-3.109,0.2,0)(-3.034,0.2,0,0)(-2.944,0.11,0)
	points=(-1.689,0.11,0)(-1.599,0.2,0,0)(-1.524,0.2,0)(-1.434,0.11,0)
	points=(-4.6117,0.11,0)(-0.0213,0.11,0)

	points=(0.0213,0.06,0)(1.0213,0.11,0)(3.6117,0.11,0)(4.023,0.0853,0)
	points=(1.0213,0.122,0)(3.6117,0.122,0)
	points=(1.599,0.3,0)(1.599,0.15,0)(1.524,0.15,0)(1.524,0.3,0)
	points=(3.109,0.3,0)(3.109,0.15,0)(3.034,0.15,0)(3.034,0.3,0)
	points=(1.434,0.11,0)(1.524,0.2,0)(1.599,0.2,0,0)(1.689,0.11,0)
	points=(2.944,0.11,0)(3.034,0.2,0,0)(3.109,0.2,0)(3.199,0.11,0)
	points=(0.0213,0.11,0)(4.6117,0.11,0)

	points=(4.023,0.0853,0)(4.4343,0.11,0)(7.0247,0.11,0)(8.0247,0.06,0)
	points=(4.4343,0.122,0)(7.0247,0.122,0)
	points=(5.012,0.3,0)(5.012,0.15,0)(4.937,0.15,0)(4.937,0.3,0)
	points=(6.522,0.3,0)(6.522,0.15,0)(6.447,0.15,0)(6.447,0.3,0)
	points=(4.847,0.11,0)(4.937,0.2,0)(5.012,0.2,0,0)(5.102,0.11,0)
	points=(6.357,0.11,0)(6.447,0.2,0,0)(6.522,0.2,0)(6.612,0.11,0)
	points=(3.4343,0.11,0)(8.0247,0.11,0)

	#List of UV mapping points for tiling: 0,0 is bottom left of texture
	uvpoints=(0.246,0)(0.412,0)(0.834,0)(0.998,0)
	uvpoints=(0,0.977)(0,0.949)
	uvpoints=(0,0.998)(0,0.979)
	uvpoints=(0,0)(0.02,0)(0.040,0)
	uvpoints=(0.898,0)(0.345,0)

	#set number of LOD levels and distances
	#note: half shape length is added to first LOD distance automatically
	lods=50,400,1000,2000
	
	#degrade values for each lod level; divides the number of segments to be generated by this value
	# a value of 1 leaves the segmentation as determined by segmentation values above
	degrade=1,2,4,8

	#'list of distinct objects, each object can have 1 material only - though objects can share materials
	#any number of objects may be added, though for performance reasons the fewer the better
	#multi-material objects not yet supported

	#'currently must be in order of LOD and subobject.

	object BASE {
		#subobject is used for alpha sorting purposes, though not really require for track
		#a value of 1 is used for UKFS shapes to force sleepers to overwrite the trackbed (avoids sleeper/ballast contention)
		subobject=0

		#the material use for this object, from the list above
		materialName=BALLAST

		#profile=lod level, (point number,uv number),( ... )
		#point and uv numbers are from the list above, starting at 0
		#all points on one profile line will be welded, for smooth continous surfaces
		#use a profile line to start a new surface
		profile=0,(0,0)(1,1)(2,2)(3,11)
		profile=0,(24,12)(25,1)(26,2)(27,3)
		profile=0,(48,0)(49,1)(50,2)(51,11)
		profile=0,(72,12)(73,1)(74,2)(75,3)
		profile=1,(0,0)(1,1)(2,2)(3,11)
		profile=1,(24,12)(25,1)(26,2)(27,3)
		profile=1,(48,12)(49,1)(50,2)(51,3)
		profile=1,(72,12)(73,1)(74,2)(75,3)
		profile=2,(22,0)(23,11)
		profile=2,(46,12)(47,3)
		profile=2,(70,12)(71,3)
		profile=2,(94,12)(95,3)
		profile=3,(22,0)(23,11)
		profile=3,(46,12)(47,3)
		profile=3,(70,12)(71,3)
		profile=3,(94,12)(95,3)
	}
	object RAILS {
		subobject=0
		materialName=RAILSIDES
		profile=0,(6,4)(7,5)
		profile=0,(8,5)(9,4)
		profile=0,(10,4)(11,5)
		profile=0,(12,5)(13,4)
		profile=0,(30,4)(31,5)
		profile=0,(32,5)(33,4)
		profile=0,(34,4)(35,5)
		profile=0,(36,5)(37,4)
		profile=0,(54,4)(55,5)
		profile=0,(56,5)(57,4)
		profile=0,(58,4)(59,5)
		profile=0,(60,5)(61,4)
		profile=0,(78,4)(79,5)
		profile=0,(80,5)(81,4)
		profile=0,(82,4)(83,5)
		profile=0,(84,5)(85,4)
		profile=1,(6,4)(7,5)
		profile=1,(8,5)(9,4)
		profile=1,(10,4)(11,5)
		profile=1,(12,5)(13,4)
		profile=1,(30,4)(31,5)
		profile=1,(32,5)(33,4)
		profile=1,(34,4)(35,5)
		profile=1,(36,5)(37,4)
		profile=1,(54,4)(55,5)
		profile=1,(56,5)(57,4)
		profile=1,(58,4)(59,5)
		profile=1,(60,5)(61,4)
		profile=1,(78,4)(79,5)
		profile=1,(80,5)(81,4)
		profile=1,(82,4)(83,5)
		profile=1,(84,5)(85,4)
		profile=2,(6,4)(7,5)
		profile=2,(8,5)(9,4)
		profile=2,(10,4)(11,5)
		profile=2,(12,5)(13,4)
		profile=2,(30,4)(31,5)
		profile=2,(32,5)(33,4)
		profile=2,(34,4)(35,5)
		profile=2,(36,5)(37,4)
		profile=2,(54,4)(55,5)
		profile=2,(56,5)(57,4)
		profile=2,(58,4)(59,5)
		profile=2,(60,5)(61,4)
		profile=2,(78,4)(79,5)
		profile=2,(80,5)(81,4)
		profile=2,(82,4)(83,5)
		profile=2,(84,5)(85,4)
	}
	object RAILTOPS {
		subobject=0
		materialName=RAILTOPS
		profile=0,(9,6)(6,7)
		profile=0,(13,6)(10,7)
		profile=0,(33,6)(30,7)
		profile=0,(37,6)(34,7)
		profile=0,(57,6)(54,7)
		profile=0,(61,6)(58,7)
		profile=0,(81,6)(78,7)
		profile=0,(85,6)(82,7)
		profile=1,(9,6)(6,7)
		profile=1,(13,6)(10,7)
		profile=1,(33,6)(30,7)
		profile=1,(37,6)(34,7)
		profile=1,(57,6)(54,7)
		profile=1,(61,6)(58,7)
		profile=1,(81,6)(78,7)
		profile=1,(85,6)(82,7)
		profile=2,(9,6)(6,7)
		profile=2,(13,6)(10,7)
		profile=2,(33,6)(30,7)
		profile=2,(37,6)(34,7)
		profile=2,(57,6)(54,7)
		profile=2,(61,6)(58,7)
		profile=2,(81,6)(78,7)
		profile=2,(85,6)(82,7)
	}
	object RAILCHAIRS {
		subobject=0
		materialName=RAILCHAIRS
		profile=0,(14,8)(15,9)
		profile=0,(16,9)(17,10)
		profile=0,(18,10)(19,9)
		profile=0,(20,9)(21,8)
		profile=0,(38,8)(39,9)
		profile=0,(40,9)(41,10)
		profile=0,(42,10)(43,9)
		profile=0,(44,9)(45,8)
		profile=0,(62,8)(63,9)
		profile=0,(64,9)(65,10)
		profile=0,(66,10)(67,9)
		profile=0,(68,9)(69,8)
		profile=0,(86,8)(87,9)
		profile=0,(88,9)(89,10)
		profile=0,(90,10)(91,9)
		profile=0,(92,9)(93,8)
	}
	object SLEEPERS {
		subobject=1
		materialName=SLEEPERS
		profile=0,(4,1)(5,2)
		profile=0,(28,1)(29,2)
		profile=0,(52,1)(53,2)
		profile=0,(76,1)(77,2)
		profile=1,(4,1)(5,2)
		profile=1,(28,1)(29,2)
		profile=1,(52,1)(53,2)
		profile=1,(76,1)(77,2)
		profile=2,(4,1)(5,2)
		profile=2,(28,1)(29,2)
		profile=2,(52,1)(53,2)
		profile=2,(76,1)(77,2)
	}
}